from bosa_core.authentication.client.repository.sqlalchemy.repository import SqlAlchemyClientRepository as SqlAlchemyClientRepository
from bosa_core.authentication.client.service.client_aware_service import ClientAwareService as ClientAwareService
from bosa_core.authentication.client.service.create_client_service import CreateClientService as CreateClientService
from bosa_core.authentication.client.service.verify_client_service import VerifyClientService as VerifyClientService
from bosa_core.authentication.config import AuthenticationDbSettings as AuthenticationDbSettings
from bosa_core.authentication.database import SQLAlchemySQLDataStore as SQLAlchemySQLDataStore, initialize_authentication_db as initialize_authentication_db
from bosa_core.authentication.plugin.repository.sqlalchemy.repository import SqlAlchemyThirdPartyIntegrationRepository as SqlAlchemyThirdPartyIntegrationRepository
from bosa_core.authentication.plugin.service.third_party_integration_service import ThirdPartyIntegrationService as ThirdPartyIntegrationService
from bosa_core.authentication.service import set_services as set_services
from bosa_core.authentication.token.repository.sqlalchemy.repository import SqlAlchemyTokenRepository as SqlAlchemyTokenRepository
from bosa_core.authentication.token.service.create_token_service import CreateTokenService as CreateTokenService
from bosa_core.authentication.token.service.revoke_token_service import RevokeTokenService as RevokeTokenService
from bosa_core.authentication.token.service.verify_token_service import VerifyTokenService as VerifyTokenService
from bosa_core.authentication.user.repository.sqlalchemy.repository import SqlAlchemyUserRepository as SqlAlchemyUserRepository
from bosa_core.authentication.user.service.authentication_service import AuthenticateUserService as AuthenticateUserService
from bosa_core.authentication.user.service.create_user_service import CreateUserService as CreateUserService
from bosa_core.authentication.user.service.get_user_service import GetUserService as GetUserService

def init_auth_services(settings: AuthenticationDbSettings):
    """Initialize authentication services using the provided settings.

    Args:
        settings: Authentication database settings
        engine_kwargs: Optional kwargs for SQLAlchemy engine creation

    Returns:
        None
    """
